import { FormLayout } from '@sankhyalabs/ezui/dist/collection/utils';
import { SnkMessageBuilder } from '../../lib/message/SnkMessageBuilder';
export declare class SnkLayoutFormConfig {
  private _formConfigFetcher;
  private _LayoutFormConfigSingleton;
  private _resourceID;
  messagesBuilder: SnkMessageBuilder;
  /**
   * Salva o tipo de layout escolhido. Sem retorno.
   */
  save(): Promise<void>;
  layoutType: FormLayout;
  componentWillLoad(): Promise<void>;
  private setLayoutInit;
  private toggleLayout;
  private getMessage;
  render(): any;
}
